/*!
  \file
  \brief 製品毎の対処用の補助関数

  \author Satofumi Kamimura
*/

#include "product_utils.h"
#include "Lidar.h"

using namespace hrk;
using namespace std;


double product_timestamp_unit(const hrk::Lidar& lidar)
{
    const string product_type = lidar.sensor_product_name();
    double timestamp_unit;
    if ((product_type == "UJM-30LX-EA1") || (product_type == "UJM-30LX-EA0")) {
        timestamp_unit = 1000.0;
    } else {
        timestamp_unit = 1.0;
    }
    return timestamp_unit;
}
